Subject: Re: [PATCH net 1/2] ptp: check that rsv field is zero in struct ptp_sys_offset_extended

From: Miroslav Lichvar <[email-masked]>
Date: Mon, 7 Jan 2019 17:57:41 +0100

On Mon, Jan 07, 2019 at 08:29:38AM -0800, David Miller wrote:
> From: Eugene Syromiatnikov <[email-masked]>
> Date: Mon, 7 Jan 2019 16:22:29 +0100
> 
> > Otherwise it is impossible to use it for something else, as it will break
> > userspace that puts garbage there.
> > 
> > The same check should be done in other structures, but the fact that
> > data in reserved fields is ignored is already part of the kernel ABI.
> > 
> > Signed-off-by: Eugene Syromiatnikov <[email-masked]>
> 
> I think the opportunity to enforce this has passed and you will break
> userspace by doing this.

FWIW, this ioctl wasn't present in a stable Linux release yet and the
two applications that I know that support it both zero the rsv field,
so I think at least this patch is very unlikely to break anything.

Anyway, thanks to Eugene for catching the issues.

-- 
Miroslav Lichvar